"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormbricksApi = void 0;
class FormbricksApi {
    constructor() {
        this.name = "formbricksApi";
        this.displayName = "Formbricks API";
        this.properties = [
            {
                displayName: "Host",
                name: "host",
                description: 'The address of your Formbricks instance. For Formbricks Cloud this is "https://app.formbricks.com". If you are hosting Formbricks yourself, it\'s the address where you can reach your instance.',
                type: "string",
                default: "https://app.formbricks.com",
            },
            {
                displayName: "API Key",
                name: "apiKey",
                description: 'Your Formbricks API-Key. You can create a new API-Key in the Product Settings. Please read our <a href="https://formbricks.com/docs/api/api-key-setup">API Key Docs</a> for more details.',
                type: "string",
                typeOptions: { password: true },
                default: "",
            },
        ];
        this.authenticate = {
            type: "generic",
            properties: {
                headers: {
                    "x-Api-Key": "={{$credentials.apiKey}}",
                },
            },
        };
        this.test = {
            request: {
                baseURL: "={{$credentials.host}}/api/v1",
                url: "/me",
            },
        };
    }
}
exports.FormbricksApi = FormbricksApi;
//# sourceMappingURL=FormbricksApi.credentials.js.map